Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.xpm
Class XPMDecoder

    com.sun.jimi.core.decoder.xpm.XPMDecoder

public class XPMDecoder

Decoder for XPM X11 bitmaps.

Field Summary
`protected AdaptiveRasterImage` | `jimiImage_` JimiImage being written to.
`protected XpmParser` | `parser_` XPM data parser.
`protected int` | `state_` State of decoder.

Constructor Summary
`XPMDecoder()`

Method Summary
`boolean` | `driveDecoder()` Decode the image.
`void` | `freeDecoder()`
`AdaptiveRasterImage` | `getJimiImage()`
`int` | `getState()`
`void` | `initDecoder(java.io.InputStream in, AdaptiveRasterImage ji)` Initializes the decoder without doing any parsing.
`protected void` | `xpmInitialize(int w, int h, byte[] pixels, java.awt.Color[] colorTable)` Initialize pixels from the xpm pixmap.

Field Detail

### parser_

    protected XpmParser parser_

  XPM data parser.

### jimiImage_

    protected AdaptiveRasterImage jimiImage_

  JimiImage being written to.

### state_

    protected int state_

  State of decoder.

Constructor Detail

### XPMDecoder

    public XPMDecoder()

Method Detail

### initDecoder

    public void initDecoder(java.io.InputStream in,
                            AdaptiveRasterImage ji)

  Initializes the decoder without doing any parsing.
  Parameters:
    `in` - The input stream to read XPM data from.
    `ji` - The JimiImage to write information to.

### driveDecoder

    public boolean driveDecoder()
                         throws JimiException

  Decode the image.
  Returns:
    False if there image loading has come to an end.

### getState

    public int getState()

### freeDecoder

    public void freeDecoder()

### getJimiImage

    public AdaptiveRasterImage getJimiImage()

### xpmInitialize

    protected void xpmInitialize(int w,
                                 int h,
                                 byte[] pixels,
                                 java.awt.Color[] colorTable)
                          throws JimiException

  Initialize pixels from the xpm pixmap.
  Parameters:
    `w` - Width of pixmap.
    `h` - Height of pixmap.
    `pixels` - Pixel data.
    `colorTable` - Colors.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD